3

I'm porting all my libertine-based documents to use \usepackage{libertinust1math} instead of \usepackage[libertine]{newtxmath} and a side effect seems to be the misalignment of the n-th root symbol:

Misaligned root index: the 3 overlaps the root symbol

MWE:

\documentclass[a4paper]{article}
\usepackage[T1]{fontenc}
\usepackage{libertine}
\usepackage{libertinust1math}
\begin{document}
\[ f(x) = \sqrt[3]{x}\]
\end{document}

I could do a quick workaround with \sqrt[3\ ]{x}, but that's not very TeXnical.

How can I make a global adjustment for this spacing and/or should I report this as a bug in libertinust1math?

I'm using version 1.0.3 of the package and the README doesn't explicitly mention changes to the \sqrt spacing, so I'm not sure whether updating the package (which is a bit cumbersome at the moment) would solve this.

Cheers!

3

The package libertinust1math is currently at version 1.1.7 (the .sty still bears version number 1.1, though).

The README says

Changes in version 1.0.5

  1. Adjusted shapes of some glyphs in math extension, leading to better rounding of heights and improved rendering of radicals. (If using latex+dvips+ps2pdf, you should increase the resolution in dvips with the command line option " -D 9000 ".)
  2. Adjusted left side bearings of radicals so that the index, if present, is placed better.

It seems you have to update; with the current version, your example produces

enter image description here

  • I completely missed this line. Thanks! Now the point is: in order to use the updated version (Gentoo is still shipping texlive 2017) I should just add this to my $TEXMF directory and it sould be pulled first? – Elton Carvalho Jun 25 '18 at 20:40
  • @EltonCarvalho My usual advice is to install the “vanilla” TUG TeX Live tug.org/texlive. I never tried to install it on Gentoo, but it shouldn't be so different from other Linux flavors. – egreg Jun 25 '18 at 20:56
  • I added the new package to my local $TEXMFHOME and when compiling it reads from the new version: (/home/eltonfc/.texmf/tex/latex/libertinust1math/tex/libertinust1math.sty And this file is labeled version 1.1. I still get the same output, with the overlapping 3. – Elton Carvalho Jun 25 '18 at 21:13
  • 1
    @EltonCarvalho You also need to fix the fonts. – egreg Jun 25 '18 at 21:19
  • 1
    Of course! Copying the contents of the type1 dir of the package to my $TEXMFHOME/fonts worked now. Thanks! – Elton Carvalho Jun 25 '18 at 21:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.